Resource Center/Resource Pool/SSH Key Operations
POSTSSH Key OperationsSince 4.7.21SynchronousAuth Required
CreateSshKeyPair
CreateSshKeyPair
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. Optional. The detailed description of the resource.
publicKeyStringRequiredNo description provided.
resourceUuidStringOptional.The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/ssh-key-pair
/zstack/v1/ssh-key-pair
Request Example
curl -X POST 'http://{host}/zstack/v1/ssh-key-pair' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","publicKey":"<publicKey>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "87460bc213b534ecaceda5a510a13771", "name": "ssh-key-pair", "publicKey": "" } }Change History
This API has no change history records yet.
